LMVC Cars ... How to install them ?

Discussion in 'Hosting Help' started by DanRZ, Sep 18, 2022.

  1. DanRZ

    DanRZ Registered

    Joined:
    Aug 22, 2021
    Messages:
    721
    Likes Received:
    222
    Hello, i would like ton isntall the very last LMVC cars on my dedicated server.
    I found the ID of it but it doesn't seem to install properly.
    If i put the rfcmp in Packages, the Mod Manager doesn't see it and i can't install it.

    Is it forbidden or are there any special thing to do ?

    The last Ligier JSP320 on the Workshop is the 1.05, but the one on the CS LMVC is 1.052c.
    The steamcmd ID is 2862141289 and i get Ligier_JSP320_2020_season2.rfcmp but i can't install it ...

    What am i missing ?
    Thanks.
     
  2. redapg

    redapg Registered

    Joined:
    Jan 16, 2012
    Messages:
    4,008
    Likes Received:
    2,875
    Can you see and install it in Game, with the Content Manager?
    Depending on to which base Mod an Update is made, it can be that it is not visible in the ModMgr, but in the Content Manager.
    For Example, that Ligier has the Versions 1.04 and 1.05 and if the 1.052c is made as an Update for the 1.04, the ModMgr will not detect it as an available Update.
    So install it with the Content Manager in Game, copy it and paste it into the ..\Installed\Vehicles\Ligier_JSP320_2020 Folder of the Dedicated Server.
    It should be the Subfolder 1.052c.
     
    DanRZ likes this.
  3. Goanna

    Goanna Registered

    Joined:
    Jan 19, 2012
    Messages:
    1,407
    Likes Received:
    956
    I'm assuming that you have the keys loaded message at the top of your server's mod manager, if not follow this first => https://forum.studio-397.com/index.php?threads/how-to-hosting-with-steamcmd-and-paid-content.57209/

    You'll need to put the base car and upgrade files in your server's packages folder ie Ligier_JSP320_2020_v1.04.rfcmp, Ligier_JSP320_2020_v1.05.rfcmp and Ligier_JSP320_2020_season2.rfcmp and then 1.04 will show as not installed (the others(1.05 and 1.052c) will not show on this screen as they are updates) Install 1.04, then you'll see this screen;
    update1.png

    Click update... you'll have to do this twice, then 1.052c will show as installed

    update2.png
    I have also installed this with just the 1.04 and 1.052c rfcmp's in the packages folder and it installed normally....don't know if this would cause issues when people join who have the 1.04>1.05>1.052c install
     
    DanRZ likes this.
  4. DanRZ

    DanRZ Registered

    Joined:
    Aug 22, 2021
    Messages:
    721
    Likes Received:
    222
    Thanks, i tried and reinstalled the Ligier. It worked ...
    But now i only have the 1.052c and not the 1.05 anymore.
     
  5. redapg

    redapg Registered

    Joined:
    Jan 16, 2012
    Messages:
    4,008
    Likes Received:
    2,875
    Did you do what i have written?
     
  6. DanRZ

    DanRZ Registered

    Joined:
    Aug 22, 2021
    Messages:
    721
    Likes Received:
    222
    Non but it helped ... I'm on a pure dedicated server so i don't have the "Content Manager".
    I don't want to transfer too many datas from my PC to my Server. I have a poor connection on upload.

    The LMVC update looks to be dependant on the 1.04 ...

    On my PC Game i see the 1.05 and the 1.052c available.

    When i will need the 1.05 on my server i will probably have to remove all and redo the full install without the LMVC content ... weird.

    @ redapg : Maybe i could keep both by saving the "Installed" 1.05 and redo the 1.052c "trick".
     
  7. redapg

    redapg Registered

    Joined:
    Jan 16, 2012
    Messages:
    4,008
    Likes Received:
    2,875
    If you now have the Subfolders 1.04 and 1.052c in your Dedicated Server Install already, just take the 1.05 Subfolder from your PC Installation and upload it to the Server Install.
    Or, if you have all 3 rfcmp on your Dedicated Server and the 1.04 and 1.052c installed already, move the 1.052c rfcmp and also the Subfolder 1.052c out of their current Folders (to the Desktop for Example).
    Now you again should see the ModMgr showing an available Update for it, which is the 1.05.
    Install it again and then move the rfcmp and Subfolder 1.052c back into their former Locations.
    Then you should have the 1.04, 1.05 and 1.052c Subfolders in the Installed... Folder
     
  8. Goanna

    Goanna Registered

    Joined:
    Jan 19, 2012
    Messages:
    1,407
    Likes Received:
    956
    Do as @redapg says, you won’t be able to host with both 1.05 and 1.052c together though, you’ll get an error message about components with the same name when trying to create a vmod, it’s one or the other type of situation.
     
  9. DanRZ

    DanRZ Registered

    Joined:
    Aug 22, 2021
    Messages:
    721
    Likes Received:
    222
    I will try and see how the Mod Manager reacts from adding manually the Installed/.../1.05 ...
     
  10. redapg

    redapg Registered

    Joined:
    Jan 16, 2012
    Messages:
    4,008
    Likes Received:
    2,875
    Don't care too much for the ModMgr in such Cases.
    Just check the installed Subfolders and, in this Case with the Ligier, if you want to use the 1.05, remove the 1.052c Subfolder from the Installed... Folder and if you want to use the 1.052c, remove the 1.05 Subfolder.
     
  11. DanRZ

    DanRZ Registered

    Joined:
    Aug 22, 2021
    Messages:
    721
    Likes Received:
    222
    When adding manually the 1.05 folder, the Mod Manager looks happy :

    Capture.JPG
    I will keep it to restore it later if needed.
    I didn't try to make a new mod in this state ....
     

Share This Page